ruby-pg (0.17.1-2) unstable; urgency=medium

  * Team upload.
  * Generate gemspec from the source instead of copying from an external
    source (Closes: #758601)
    - remove obsolete gemspec file in debian/
    - use upstream Rakefile to generate the gemspecs
    - add 0002-fix-license-gemspec.patch to provide a correct license in the
      gemspecs
  * Build-depend on ruby-hoe and rake-compiler to be able to run rake tasks
    from the upstream Rakefile
  * Update the rule to generate the documentation and register it in doc-base
    - Add 0003-privacy-breach.patch to prevent loading remote uncontrolled
      data from the HTML documentation

 -- Cédric Boutillier <boutil@debian.org>  Thu, 21 Aug 2014 12:23:45 +0200

ruby-pg (0.17.1-1) unstable; urgency=low

  * New upstream version.
  * Transitional packages removed (Closes: #735712).
  * Standards-Version upgraded to 3.9.5 (no changes).

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 08 Jun 2014 10:21:17 -0700

ruby-pg (0.17.0-1) unstable; urgency=low

  * New upstream version.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 06 Oct 2013 01:33:51 -0700

ruby-pg (0.16.0-1) unstable; urgency=low

  [ Dmitry Borodaenko ]
  * New upstream version.
  * Standards-Version upgraded to 3.9.3 (no changes).
  * Do not set RPATH in ext/extconf.rb.
  * Restore symlink to libjs-jquery that was lost in gem2deb transition.

  [ Cédric Boutillier ]
  * debian/control: remove obsolete DM-Upload-Allowed flag.
  * use canonical URI in Vcs-* fields.
  * debian/copyright: use DEP5 copyright-format/1.0 official URL for Format
    field.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sat, 10 Aug 2013 16:38:28 -0700

ruby-pg (0.14.0-1) unstable; urgency=low

  * New upstream version.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 15 Jul 2012 15:05:58 +0300

ruby-pg (0.13.2-2) unstable; urgency=low

  * Add gemspec from rubygems.org
  * Team upload.
  * Bump build dependency on gem2deb to >= 0.3.0~.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 30 Jun 2012 08:48:56 -0300

ruby-pg (0.13.2-1) unstable; urgency=low

  * New upstream version.
  * Standards-Version upgraded to 3.9.3.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sat, 03 Mar 2012 15:28:05 +0300

ruby-pg (0.13.1-1) unstable; urgency=low

  * New upstream version.

 -- Dmitry Borodaenko <angdraug@debian.org>  Mon, 20 Feb 2012 21:37:02 +0300

ruby-pg (0.12.2-1) unstable; urgency=low

  * New upstream version.
  * Point Vcs-* control fields at git.debian.org.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 08 Jan 2012 19:16:32 +0300

ruby-pg (0.12.0-1) unstable; urgency=low

  * New upstream version.
  * Priority of transitional packages downgraded to extra.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sat, 24 Dec 2011 16:49:23 +0300

ruby-pg (0.11.0+gem2deb-1) unstable; urgency=low

  * Switch to gem2deb-based packaging:
    - source and binary packages renamed to ruby-pg
    - transitional packages added
    - source format changed to 3.0 (quilt).

 -- Dmitry Borodaenko <angdraug@debian.org>  Thu, 08 Sep 2011 00:14:24 +0300

libpgsql-ruby (0.11.0-1) unstable; urgency=low

  * New upstream snapshot:
    - resolves a segmentation fault bug when using Rails with
      PostgreSQL 9, closes: #624106.
  * Updated changelog from the upstream hg repository.
  * Standards-Version upgraded to 3.9.2.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sat, 04 Jun 2011 17:39:26 +0300

libpgsql-ruby (0.9.1~hg20100928-1) unstable; urgency=low

  * New upstream snapshot:
    - includes compatibility fixes for Ruby 1.9.2, JRuby, PostgreSQL 9.0
    - pg.so is renamed to pg_ext.so and loaded from pg.rb
    - get_notify works since 0.8.0, closes: #307902.
  * Upstream moved to bitbucket.org:
    - updated debian/watch and Homepage
    - added Vcs-Browser and Vcs-Hg.
  * Updated debian/copyright to include PostgreSQL BSD license, brought
    authors list in sync with upstream README, updated upstream URL.
  * Created missing changelog from the upstream hg repository.
  * Replaced rdoc's jquery with a symlink, added Depends on libjs-jquery to
    libpgsql-ruby-doc.
  * Standards-Version upgraded to 3.9.1.

 -- Dmitry Borodaenko <angdraug@debian.org>  Fri, 01 Oct 2010 01:54:33 +0300

libpgsql-ruby (0.8.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Switch from Ruby 1.9 to 1.9.1. Closes: #565832.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 13 Feb 2010 09:52:11 +0100

libpgsql-ruby (0.8.0-1) unstable; urgency=low

  * New upstream version
  * Changed Section from interpreters to ruby.
  * Debhelper compat level upgraded to 5.
  * Standards-Version upgraded to 3.8.1.

 -- Dmitry Borodaenko <angdraug@debian.org>  Thu, 09 Apr 2009 14:11:24 +0300

libpgsql-ruby (0.7.9.2008.10.13-2) unstable; urgency=low

  * Upload to unstable (Closes: #405420).

 -- Dmitry Borodaenko <angdraug@debian.org>  Sat, 21 Feb 2009 12:31:59 +0200

libpgsql-ruby (0.7.9.2008.10.13-1) experimental; urgency=low

  * New upstream version.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 26 Oct 2008 15:08:47 +0200

libpgsql-ruby (0.7.9.2008.08.17-1) experimental; urgency=low

  * New upstream version.
  * Build a module for Ruby 1.9 in libpgsql-ruby1.9.
  * Added build-depends on ruby1.9, ruby1.9-dev, rdoc1.9.
  * Replaced dpatch with quilt.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 28 Sep 2008 18:46:56 +0300

libpgsql-ruby (0.7.9.2008.03.18-2) unstable; urgency=low

  * Generate RDoc documentation (Closes: #476448).
  * Split documentation into libpgsql-ruby-doc package.
  * Updated to Standards-Version 3.8.0:
    - Homepage: field added to control file
    - README.source added.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 29 Jun 2008 18:41:22 +0300

libpgsql-ruby (0.7.9.2008.03.18-1) unstable; urgency=low

  * New maintainer.
  * Switched upstream source from ruby-postgres to ruby-pg (Closes: #474748).
  * Bumped standards version to 3.7.3.

 -- Dmitry Borodaenko <angdraug@debian.org>  Thu, 10 Apr 2008 01:28:50 +0300

libpgsql-ruby (0.7.1-10) unstable; urgency=low

  * Add dpatch support.
  * Dummy package is now architecture all.
  * Rework debian/rules.
  * Conform to policy by using "-O2 -g -Wall" as CFLAGS.
  * Include pg_encoding_to_char() declaration from pg_wchar.h which
    is not included directly, because it makes libpgsql-ruby FTBFS
    due to a non-existing bool type. (Closes: #318858)

 -- Aurélien GÉRÔME <ag@roxor.cx>  Mon, 16 Oct 2006 00:28:58 +0200

libpgsql-ruby (0.7.1-9) unstable; urgency=low

  * Adopt the package (closes: 379991).
  * Remove libpgsql-ruby1.6 leftovers.
  * Remove watch file, because evenif the URL exists, uscan cannot
    get it.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Sat, 29 Jul 2006 00:09:28 +0200

libpgsql-ruby (0.7.1-8) unstable; urgency=low

  * Orphan package
    - Change maintainer to Debian QA Group <packages@qa.debian.org>
  * Remove package for ruby1.6
    (closes: #366577)

 -- Taku YASUI <tach@debian.or.jp>  Sun, 15 Jan 2006 23:48:53 +0900

libpgsql-ruby (0.7.1-7) unstable; urgency=low

  * debian/rules: Determine correct PostgreSQL includes using pg_config
    (closes: #335972)
  * Add debian/compat file and remove DH_COMPAT line from debian/rules

 -- Taku YASUI <tach@debian.or.jp>  Sun, 15 Jan 2006 23:47:26 +0900

libpgsql-ruby (0.7.1-6) unstable; urgency=low

  * Followup-to new standard version: 3.6.2.1
  * Fix depends/suggests duplication

 -- Taku YASUI <tach@debian.or.jp>  Mon, 18 Jul 2005 06:52:44 +0900

libpgsql-ruby (0.7.1-5) unstable; urgency=low

  * Change Upstream Maintainer to Dave Lee <dave@cherryville.org>

 -- Taku YASUI <tach@debian.or.jp>  Mon, 18 Jul 2005 06:50:53 +0900

libpgsql-ruby (0.7.1-4) unstable; urgency=low

  * Rebuild for posgres 8.0

 -- Taku YASUI <tach@debian.or.jp>  Mon, 18 Jul 2005 06:41:07 +0900

libpgsql-ruby (0.7.1-3) unstable; urgency=low

  * Make compliant with new Debian Ruby Policy

 -- Taku YASUI <tach@debian.or.jp>  Sun, 21 Sep 2003 00:55:48 +0900

libpgsql-ruby (0.7.1-2) unstable; urgency=low

  * Change debian/watch file
  * Make compliant with Debian Ruby Policy
  * Write more details to long description
    (closes: #209589)

 -- Taku YASUI <tach@debian.or.jp>  Wed, 10 Sep 2003 19:53:39 +0900

libpgsql-ruby (0.7.1-1) unstable; urgency=low

  * New upstream release
  * Rebuild with postgresql 7.3.1
    (closes: #176816)

 -- Taku YASUI <tach@debian.or.jp>  Wed, 15 Jan 2003 23:09:19 +0900

libpgsql-ruby (0.7.0-pre2-4) unstable; urgency=low

  * Re-package for new ruby release.

 -- Taku YASUI <tach@debian.or.jp>  Fri, 27 Dec 2002 12:01:21 +0900

libpgsql-ruby (0.7.0-pre2-3) unstable; urgency=low

  * Fix: get_notify doesn't get relname properly (closes: #163779)

 -- Taku YASUI <tach@debian.or.jp>  Thu, 10 Oct 2002 13:13:26 +0900

libpgsql-ruby (0.7.0-pre2-2) unstable; urgency=low

  * Add debian/watch file
  * Change upstream download URL

 -- Taku YASUI <tach@debian.or.jp>  Tue,  3 Sep 2002 05:20:40 +0900

libpgsql-ruby (0.7.0-pre2-1) unstable; urgency=low

  * New upstream release
  * Moved from non-US to main

 -- Taku YASUI <tach@debian.or.jp>  Tue,  3 Sep 2002 04:43:19 +0900

libpgsql-ruby (0.6.5-3) unstable; urgency=low

  * Maintainer Release.

 -- Taku YASUI <tach@debian.or.jp>  Fri, 12 Apr 2002 02:28:47 +0900

libpgsql-ruby (0.6.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Tighten ruby build-dependencies (closes: #141689).
  * Similarly, tighten build-dependency on postgresql-dev for the libpgsql2
    transition.

 -- Colin Watson <cjwatson@debian.org>  Thu, 11 Apr 2002 13:01:26 +0100

libpgsql-ruby (0.6.5-2) unstable; urgency=low

  * recompile for new version of ruby and libpgsql.
    (closes: #136504, #136507)

 -- Taku YASUI <tach@debian.or.jp>  Thu,  7 Mar 2002 03:03:53 +0900

libpgsql-ruby (0.6.5-1) unstable; urgency=low

  * New upstream release
  * recompile for new version of ruby.
    (closes: #126597) 

 -- Taku YASUI <tach@debian.or.jp>  Fri, 28 Dec 2001 01:31:25 +0900

libpgsql-ruby (0.6.4-3) unstable; urgency=low

  * recompile for new version of ruby.
    (closes: #112882)

 -- Taku YASUI <tach@debian.or.jp>  Thu, 20 Sep 2001 22:41:42 +0900

libpgsql-ruby (0.6.4-2) unstable; urgency=low

  * Re-package for new postgres release.
  * Depends on same version of libruby.

 -- Taku YASUI <tach@debian.or.jp>  Sun, 22 Jul 2001 16:56:36 +0900

libpgsql-ruby (0.6.4-1) unstable; urgency=low

  * New upstream release

 -- Taku YASUI <tach@debian.or.jp>  Thu, 17 May 2001 12:38:01 +0900

libpgsql-ruby (0.6.2-1) unstable; urgency=low

  * New upstream release

 -- Taku YASUI <tach@debian.or.jp>  Fri,  9 Feb 2001 01:30:37 +0900

libpgsql-ruby (0.6.1-1) unstable; urgency=low

  * Initial Release.

 -- Taku YASUI <tach@debian.or.jp>  Thu,  1 Feb 2001 19:33:32 +0900
